module Vhcs
  class PlPlanGroupCode < VhcsRecord

    self.table_name = 'PLPlanGroupCode'

    alias_attribute :group_code, :GroupCode
    alias_attribute :pl_plan_key, :PLPlanKey
    alias_attribute :pl_cov_type_hdr_key, :PLCovTypeHdrKey
    alias_attribute :group_code_desc, :GroupCodeDesc

    def attributes
      rails_like = {
          group_code: self.group_code,
          pl_plan_key: self.pl_plan_key,
          pl_cov_type_hdr_key: self.pl_cov_type_hdr_key,
          group_code_desc: self.group_code_desc,
      }
      super.merge(rails_like)
    end


  end
end